aboutsummaryrefslogtreecommitdiff
path: root/travis_tests.sh
diff options
context:
space:
mode:
authorEmiliano Ciavatta2020-04-01 15:03:19 +0000
committerEmiliano Ciavatta2020-04-01 15:03:19 +0000
commitc2f10d25535ce9dd6e448434f1bd859e24d4f77b (patch)
treec32a592df17804ca7b747a36958c0ce3b8ed0ecc /travis_tests.sh
parent2b9ccbe76c6975fe7cd09a3260ba459d59b9970a (diff)
Add travis scripts
Diffstat (limited to 'travis_tests.sh')
-rwxr-xr-xtravis_tests.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/travis_tests.sh b/travis_tests.sh
new file mode 100755
index 0000000..cb4363c
--- /dev/null
+++ b/travis_tests.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# wait mongodb server
+sleep 10
+
+# run tests
+go test -v
+
+RET_CODE=$?
+
+#
+if [ $RET_CODE -eq 0 ]; then
+ echo "travis_tests_success"
+else
+ echo "travis_tests_fails"
+fi
+
+exit $RET_CODE